================================================================================
            Intel(R) Server Platform BIOS Release Notes
================================================================================

INTEL(R) Server Boards and Systems
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

================================================================================

DATE : November 08 2018
TO      : Multi-Core Intel(R) Xeon(R) Processor-Based Server Platform customers
SUBJECT : BIOS Release notes 

================================================================================
                           LEGAL INFORMATION
================================================================================

Information in this document is provided in connection with Intel Products
and for the purpose of supporting Intel developed server boards and systems.
No license, express or implied, by estoppel or otherwise, to any intellectual
property rights is granted by this document. Except as provided in Intel's
Terms and Conditions of Sale for such products, Intel assumes no liability
whatsoever, and Intel disclaims any express or implied warranty, relating to
sale and/or use of Intel products including liability or warranties relating
to fitness for a particular purpose, merchantability, or infringement of any
patent, copyright or other intellectual property right. Intel Corporation
may have patents or pending patent applications, trademarks, copyrights, or
other intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not
provide any license, express or implied, by estoppel or otherwise, to any such
patents, trademarks, copyrights, or other intellectual property rights.
Intel products are not intended for use in medical, life saving, or life
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation.

*Other names and brands are the property of their respective owners.

Copyright (C) 2018 Intel Corporation.

================================================================================
        ABOUT THIS RELEASE
================================================================================
Build Stamp : SE5C620.86B.00.01.0015
Build Date : November 07 2018
================================================================================
        Supported Platforms
================================================================================
        S2600WF Family
        S2600BP Family
        S2600ST Family

================================================================================
        BIOS COMPONENTS/CONTENTS
================================================================================
Processors supported:
        Intel(R) Xeon Scalable Family Processor

Microcode versions:
	CPUID          Version        Status
    0x50653        0x01000144     (Xeon Scalable B1)
    0x50654        0x0200004d     (Xeon Scalable H0)

SATAAHCI: 
        v2.00i
RSTeSATAEfi: 
        v5.4.0.1039
RSTeSATALegacy: 
        v5.4.0.1039
RSTesSATAEfi: 
        v5.4.0.1039
RSTesSATALegacy: 
        v5.4.0.1039
RSTe NVMe UEFI drivers: 
        v5.4.0.1039
ESRT2 UEFI drivers: 
        05140000
NVMDIMMDriver: 
        v01.00.01.1853
NVMDIMMHii: 
        v01.00.01.1853
AspeedVideo: 
        1.07
ASTVBIOS: 
        1.03
Production BIOSACM: 
        Production,v1.3.7_LBG
Production SINIT: 
        Production,v1.3.4_LBG
PDR: 
        V1.0
S2600WF_WFT_WFS FPKSI:
        3.5
S2600WF_WFQ_WF0 FPKSI:
        3.5
S2600BP FPKSI:
        3.5
S2600ST FPKSI:
        3.5
ME:
        04.00.04.340
HfiPcieGen3:
        v1.6.0.0.0 

Security Revision:
        0006

================================================================================
        INSTALLATION NOTES
================================================================================

WARNING:  It is very important to follow these instructions as they are written.
Failure to update using the proper procedure may cause damage to your system.

Firmware Update Tools: iFlash32_V14_1_Build10

User can update BIOS flash image via the next method...
    
    UEFI iFlash32
    1.  Copy the entire contents of the zip file to the root of a USB flash drive
    2.  Boot to uEFI Shell, then change the Shell to the mapped device (USB flash drive)
        Example: Shell> fs0: (or fs1:)
    3.  Run updBIOS.nsh, updME.nsh, updFD.nsh and reset the system after each region upgrade
    4.  Reboot the system after the last upgrade is completed
    5.  Do *NOT* interrupt the BIOS POST during the first and second boot
    
================================================================================
        BIOS RECOVERY INSTRUCTIONS
================================================================================

The Recovery process can be initiated by setting the recovery jumper (called BIOS Recovery Boot Jumper)
Details regarding the jumper ID and location can be obtained from the Board TPS.

BIOS starts the recovery process by first loading and booting to the recovery image from backup BIOS region.
This process takes place before any video or console is available. Once the system boots to the recovery image use the following steps to perform the BIOS recovery:

   1.  The BIOS POST screen will appear displaying the progress and it automatically
       boots to the uEFI SHELL
   2.  Follow any of the next two methods for recovery process.
   
   Note: Recover mode will clean up all user previous changed BIOS settings including ITK saved settings 
   
BIOS update under recovery mode as below two methods:

The USB flash drive is necessary for the primary BIOS upgrade and must contain the following files 
under its root directory:
   1.  uEFI iFlash32.efi (including iflash32_temp.efi and ipmi.efi )
   2.  *.CAP( the released BIOS capsule which version you expect to update)
   3.  UpdBIOS.nsh (update accordingly to use proper *.CAP file)

  A Method: Install USB media after recovery boot to shell, you need to follow below steps
   1. Under Shell, type "map -r" to map all disc
   2. Change the Shell to mapped device file system
      Example: Shell> fs0: (or fs1:)
   3. Execute the UpdBIOS.nsh script for BIOS update, wait for BIOS update complete
   4. Power OFF the system, and revert the recovery jumper position to "normal operation".
   5. Power ON the system.
   6. Do *NOT* interrupt the BIOS POST during the first boot.
  
  B Method: Install USB media prior to recovery boot
    It will boot automatically into EFI Shell to invoke the Startup.nsh script and start the flash update application.
    IFlash32.efi requires the supporting BIOS Capsule image file (*.CAP). After the update is complete, there will be a message displayed stating that the "BIOS has been updated successfully" indicating the recovery process is finished. 
    The user should then power off the system and revert the recovery jumper back to normal operation and restart the system by performing a power cycle.

Note:
    The Startup.nsh file includes parameters to upgrade not only the BIOS, but the ME, FD, BMC and FRUSDR
        
================================================================================
        IMPORTANT NOTICE
================================================================================

1. Package C-State only works well with Xeon Scalable Family H0 parts, for other Xeon Scalable Family stepping, C6 non-retention is hardcode from BIOS side.
2. BIOS R00.01.0001 does not support online downgrade to any Dxxx or Xxxx BIOS.
3. BIOS R00.01.0001 removed Xeon Scalable Family A1 microcode(m1350651_8000002B) and Xeon Scalable Family B0 microcode(m9750652_80000035).
4. Removed 'UpdateNvram' support for iflash32 tool for security reason of SRA bios.
5. Security revision upgrade to v0002 on BIOS R00.01.0002 will prevent BIOS downgrade via normal mode to R00.01.0001, user can use BIOS recovery mode for BIOS downgrade. Although Intel doesn't recommend downgrading firmware
6. One new production key is integrated onto R0004 BIOS, which will correct an OEM string. 
7. This release include security revision upgrade to version 0004. This will prevent BIOS downgrade via normal mode to previous version with lower security revision, user can use BIOS recovery mode process for BIOS downgrade.
8. System will prevent downgrading ME from 04.00.04.288 to 04.00.04.235 or older version, if system BIOS version is R0009. This is an expected behavior.
9. Security revision upgrade to 0005 on BIOS R0010, it will prevent BIOS downgrade via normal mode to previous version that with lower security revision, user can use BIOS recovery mode for BIOS downgrade.
10.Security revision upgrade to 0006 on BIOS R0014, it will prevent BIOS downgrade via normal mode to previous version that with lower security revision, user can use BIOS recovery mode for BIOS downgrade.
================================================================================

================================================================================
        KNOWN ISSUES/WORKAROUND
================================================================================
HSD-ES 2103620418: After downgrade FD and ME, SUT will halt with beep code 1-5-1-2 when reboot. 
       Please use the following WA when online downgrading SW stacks from R010 SUP to previous SUP version: 
       Online downgrade process: flash BIOS -> flash FD -> reset SUT -> flash ME -> flash BMC -> flash FRUSDR -> AC cycle SUT -> SUT can boot up normally.

================================================================================
                  CHANGE LIST
================================================================================

================================================================================
                  R00.01.0015
================================================================================
Rename BIOS ID from X0168 to R0015
HSD-ES:1504683593, Clone from HSD - Security VT - PCH UEFI FW shall delay PCI Bus Master Enable (PCICMD.BME) until end of POST to prevent DMA attacks on UEFI FW in RAM.
HSD-ES:1506731732, [S2600BP] SEL error during AC cycling: IPMI Watchdog reports the watchdog initiated a hard reset.
HSD-ES:2103623411, There is no SEL log generate when flash BIOS and ME version which same as SUT version.
HSD-ES:1506125764, Q3'18 #CCB2446 BIOS:  Purley Post -SRA feature: OOB Update and Config.
HSD-ES:1504788000, [PC Production] Sync Skylake Production code to PC Production.(5387193:Need Updated BIOS for External Use to Resolve P2P Issue)
HSD-ES:1506754163, FW-UEFI-Vuln-2018-031 - Dynamic loops accessing one element beyond boundary due to <= operator.
FIV_00008379[PC Stitching]Update ESRTIISataEFi version to 05140000.
5387405:PSIRT-FW-UEFI-Vuln-2018-040 SvSmmHandler SMI call-out. 
HSD-ES:1506132901, [S2600BP]MTT CPU1/MTT CPU2 sensors show no reading when run AC cycles and can't recovery within 300s[Only path for this issue,not a final solution].
HSD-ES:1506132509, [S2600BP]SUT hang post screen when run DC cycles.
HSD-ES:1506119814, [S2600BP]HSTI is absent on Windows Server 2016.
HSD-ES:2103623155, SUT will hang up on 0x9D after installed NIC card-X550 and enable RSD.
HSD-ES:2103623142, Update BIOS X0155 SEL LOG BIOS ID is wrong,it show 20.01.0155.
HSD-ES:2007015469, DIMM LED(chX) turns off after another correctable error is injected to a DIMM in different Channel(chY)-V01.
HSD-ES:2204466754, RSD 2.2-SMBIOS Type 199 had zeros value for port 3 and 4 for PCIe Cable ERROR Data.
HSD-ES:2205038517, Random Machine Check failure QPI Phy init abort during reboot reported on S2600ST.	
HSD-ES:2007360181, After CE injection,fault DIMM LED remains asserted despite follow up reset shows healthy memory subsystem-V02.			
HSD-ES:1506438632, Q3'18 CCB2437 [Purley BIOS]SOL function terminal type need to support more terminal types the same as console redirection types
HSD-ES:1506131214, Q3'18 #CCB2343[Purley] Add BIOS options in ITK to change USB 2.0 ports equalization parameters
HSD-ES:1506435385, Add Factory BIOS flag and .Factory string to SMBIOS Type 0
HSD-ES:1506129880, Q3'18 #CCB2443 [Purley BIOS]UPI latency performance parameters which impact bandwidth and latency to be exposed in setup/ITK/syscfg
HSD-ES:2202762181, [S2600BP] Warning SEL during AC Cycling: BMC FW Health reports SSB Temp has failed and may not be providing a valid reading
OSS_0008351/OSS_0008352:Integration BIOS ACM to 1.3.7 and SINIT to 1.3.4
HSD-ES:2103622995, [S2600ST]VMD enable in BIOS is mismatch with motherboard NVME SSD
HSD-ES:1506129887, Q3'18 #CCB2415 [Purley BIOS]Extend option value range for Memory Correctable  Error Threshold
HSD-ES:1506395072, ME update failed for X0148 online update to 0D.01.0008
================================================================================
                  R00.01.0014
================================================================================
Rename BIOS ID from X0149 to R0014.
HSD-ES:1605354891, TPM Update fail on S2600ST and S2600WF
OSS_0008036:       Update Microcode 0x4d for Xeon Scalable H0 and 0x144 for Xeon Scalable B1  
                   Reference code version: 20180612_CP_PURLEY_PRODUCTION_155_R08 
                   [PC Stitching] Update OPA UEFI driver to v1.6.0.0.0 
HSD-ES:1506124820, CCB2334 [PSIRT Factory BMC & BIOS] enabling one-time software update to any version
OSS_0007838,       [PC Stitching]Update ME SPS version to 340
HSD-ES:2103621945, [S2600BP] Windows2016 cannot be installed with SATA port5+port7 RSTe RAID0
HSD-ES:1506125508, Other PCI device's SsidSvid is 0xFFFFFFFF and is different from NIC Controller on SFP+ S2600BP board
HSD-ES:1506122324, Higher security ID from 1.05 to 1.06 because HECI PRT and Backup BIOS PRT patch
HSD-ES:1504762466, BIOS Change for #CCB 2083[Syscfg tool]Add option to configure fan pwm offset in syscfg
HSD-ES:2202640819, System will not boot to IPV4 PXE if UEFI Network Stack disabled for IPV6 PXE in BIOS
HSD-ES:1504784817, CCB2267[BMC+BIOS]Need mechanism for BMC to return MAC addresses for add-in card on demand
HSD-ES:2103622021, Toshiba THNSN5128GPU7 M.2 PCIe SSD can't detect successful under Win2016 OS.
HSD-ES:1504707008, CCB2222 [BIOS] Add Infineon FW update capability support in BIOS and UEFI application
HSD-ES:2007351694, BSOD after warm reboot if HT is enabled with Windows Server 2016 version 17663 and 17666
HSD-ES:2103621261, [S2600WF]SMBIOS Type 8 NIC number does not match motherboard number 
HSD-ES:1504713715, [CCB#2284][S2600WF&S2600BP]Fix system will hang with POST code 0x94 when one riser slot of HOST connects two WRG JBOD nodes with 32 RSSDs
HSD-ES:1406736015, BIOS does not return Type 199 records
HSD-ES:1504707003, CCB1822 Support Relax Ordering and No Snoop in BIOS setup and ITK
HSD-ES:1504749247, [S2600WF]bios_wp protection has not been enabled
HSD-ES:1504749852, CCB2249 Add SMBIOS OEM String modification capability in ITK
HSD-ES:1504771459, After clear CMOS, EWS does not display about CMOS log when boot to BIOS setup
HSD_ES:2103620812, MMIO size set to Auto/1G can't boot to BIOS with NIC Card-XL710 in Legacy mode 
HSD-ES:1504762466, BIOS Change for #CCB 2083 [Syscfg tool]Add option to configure fan pwm offset in syscfg
HSD-ES:2103616363, Inject Memory Address Parity error and no error event occurred in SEL accordingly
HSD-ES:1504630755, Change "CPU Power and Performance Policy" from "Balanced Performance" to "Performance" on the custom BIOS capsule by ITK tool, related items "C1E" can not be changed automatically.
HSD-ES:1504788000, CL541242  5386244: BaseTraceHubInitLibNull references non-existing SkylakeSiPkg
HSD-ES:1504788000, CL547293  5386319: Xeon Scalable 2933 mc transient error
HSD-ES:1504788000, CL556508  5386005: BIOS NTB PPD Option Setup is Reversed
HSD-ES:1504788000, CL558559  5386307: Some validated DIMMs have not been included in the DimmWT4 table
HSD-ES:1504788000, CL558628  5385969: Advanced Memory Test failed at MT_CPGC_READ_WRITE   
HSD-ES:1504788000, CL570837  5386628: HECI_MBAR can be reallocated by ring-0 anywhere in the address map (BIOS vulnerability)
HSD-ES:1504788000, CL569535  5386412: 2 SKT DEBUG build ASSERTs with a Security Violation
HSD-ES:1504788000, CL566239  5386475: System hangs after error injection during DIMM Address Translation
HSD-ES:1504788000, CL571328  5386488: 2006702382: NVDIMM not in memory map when NUMA is disabled
HSD-ES:1504788000, CL576560  5386813: Enable MSR_VIRTUAL_MSR_LLC_PREFETCH reconfiguration on Skylake B-step
HSD-ES:1504788000, CL579507  5386817: Add device IDs for QS/PRQ S LBG SKU
OSS_0006624:       Integration BIOS ACM to 1.3.6 and SINIT to 1.3.3
OSS_0007339:       [PC Stitching] Update ME SPS version to 333
HSD-ES:2202565747, BIOS POST messaging shows no errors when in fact a DIMM is mapped out
HSD-ES:1504788000, CL575833 5386751: Function RemovePsfAccess () is not called with SPS FW binary
HSD-ES:1504788000, CL582692 5386573: IioEarlyInit.c:IioPciePortEWL() swaps link_width and link_speed in EWL
HSD-ES:1504788000, CL558927 5386052: [220586227] Early SEC RC is not properly programming the HPET due to coding bug, causing rogue write to memory [IPS 220586227]
HSD-ES:1504788000, CL 553223 + CL556549 5386074: ACPI table will miss some core with some specific bit mask processor
HSD-ES:1504790255, Clone from 5386949 FW-UEFI-Vuln-2018-008 - "PSIRT-BIOS-2018-008 Additional protection for DCI enable"
HSD-ES:2103617388, When hotplug NVMe HDDs the RSTe GUI location couldn't match actual HDDs location
HSD-ES:1505084878, XL710 show the same boot order name in Boot management
HSD-ES:1505083003, CCB 2161 [BIOS]Support more memory vendor DIMMs -- Apacer,ATP,Hyundai,Innodisk,intelimem,V Color
HSD-ES:1505083055, CCB 2401 [BIOS] BIOS support for WFC, WFD, WFS cluster systems
HSD-ES:2103619811, [S2600BP] Boot manager still show pcie device if disable it on PCIe Port Oprom Control. -->Fix CL552580 side effect
HSD-ES:2103620496, NIC Port Mapping between Chassis and Windows Server OS are inverted on S2600BP SFP+, RJ45 and S2600WFT
OSS_0006929:       [PC Stitching] Update RSTE Drivers to v5.4.0.1039
HSD-ES:2103621959, EWS and SEL viewer shown incorrect ME version when online update ME version
HSD-ES:1504784817, CCB2267 [BMC+BIOS]Need mechanism for BMC to return MAC addresses for add-in card on demand
HSD-ES:1505330637, Add two APIs in fast video ppi and protocol
HSD-ES:2103620418, [S2600WF] After downgrade FD and ME, SUT will halt with beep code 1-5-1-2 when reboot
================================================================================
                          R00.01.0013
================================================================================
Rename BIOS ID from X0117 to R0013.
Microcode 0x140 update for B1
===============================================================================
                          R00.01.R0012
================================================================================
Rename BIOS ID from X0115 to R0012.
Microcode 0x43 and 0x13f update to address Intel-SA-00088 

================================================================================
                          R00.01.R0011
================================================================================
Rename BIOS ID from X0114 to R0011.
HSD-ES: 1504685331,[PC Stitching] Sync Microcode 0x3c for Xeon Scalable Family H0 from RP
HSD-ES: 1604595333,[PC Stitching] Sync Xeon Scalable Family B1 Production Patch 0x13e from RP
HSD-ES: 1504705784,[PC Stitching] Integrate the OPA UEFI driver v1.6.0.0.0 from RP
HSD-ES: 1504651973,The SerialA Console continues to work while the VGA screen appears hung after enable serial port A enable and input "reconnect -r" in efi shell, update Aspeed GOP to v1.07
HSD-ES: 1504634146, [PC Production] Sync Rp code to PC Production

================================================================================
                          R00.01.R0010
================================================================================
Rename BIOS ID from X0108 to R0010.
HSD-ES: 1504694350,Higher security ID from 04 to 05 because Microcode 3c include security patch
HSD-ES: 1504686401,Integration BIOS ACM to 1.3.4
HSD-ES: 2103617388,When hotplug NVMe HDDs the RSTe GUI location couldn't match actual HDDs location.
HSD-ES: 1504626593,[S2600BP]Some variables cannot load default when it was deleted after SUT reset
HSD-ES: 1504680515,[CCB 2076]  Allow user to change serial communications setting values independent of Console Redirection and Serial Over LAN state
HSD-ES: 2103619487,[S2600BT] System boot no hotkey string displayed on POST diagnostic screen with change System Boot Timeout value to 30 and unplug the proper markerfile (payloadsig.txt) USB Key devices.
HSD-ES: 2103619922,[S2600WF] Smbios Type 8 doesn't list table of CPU1 PCIe_SSD port connector on WFQ
HSD-ES: 2103617706,[Retimer]The system HDD5~7 carrier LED no display on first power on.
HSD-ES: 1504654004,Request to modify PCH SATA Tx De-emph and Rx CTLE setting
HSD-ES: 1504659011,Integrate latest v2.021R8153 EFI driver
HSD-ES: 1504653444,ITK modified Bifurcation settings for Riser slots will revert back to factory default value after pressing f9
HSD-ES: 2103619811,[S2600BP] Boot manager still show pcie device if disable it on PCIe Port Oprom Control.
HSD-ES: 2006676137,BIOS F2 menu doesn't show drive's OPROM under re-timer AIC in slot 4 when populating slot 2 with RSP3WD080
HSD-ES: 2103619292,C1E help text character display abnormal under console redirection
HSD-ES: 2006677577,,Unable to locate/fault/rebuild instructions to NVME drive  from EFI tool and OS for drives  under retimer AIC 
HSD-ES: 2006669546,,RAID module RMS3HC080 and Software RAID RSTe can't work together on a S2600WF system
HSD-ES: 1504605915,,#CCB 2049:To add ITK option to change MMIO High base to support various PCIe cards and Some OS compatibility issue
HSD-ES: 1504599337,,CCB#1896: iSCSI Boot Options Support for RSD 2.2 Spec.
HSD-ES: 1504595731,,RSD [S2600WF]: Provide SMBIOS table type 192 for RSD 2.2 Spec.
HSD-ES: 2103619444,,[S2600WF] Lan Device will disappear if only enable one NIC port after two NIC ports both are disabled.
HSD-ES: 2103619177,,[S2600WFQ] Boot time becomes very slowly, almost 6 times after flash FTPM Enabled Capsule file
HSD-ES: 1604527341,,[HaT] 3rd party code (OPROMs) can fake their TPM measurement
HSD-ES: 1504630755,,#CCB 2145:  Expose BIOS option [CPU Power and Performance Policy] to ITK and Syscfg
HSD-ES: 1504620840,,[S2600BP] CHIPSEC test find all PRx set to 0 after enable security.
HSD-ES: 2103619456,,[S2600BP] the Current Usage of SMBIOS Type 9 - System Slots are all In use even no PCIe Device attached with -F CPU
HSD-ES: 1504634146,,[PC Production] Sync Rp code to PC Production
HSD-ES: 1504599259,,CCB#1896(S2600WF):   Provide SMBIOS table type 197 for RSD 2.2 Spec.
HSD-ES: 1504599267,,CCB#1896:(S2600BP):  Provide SMBIOS table type 200 for RSD 2.2 Spec.
HSD-ES: 2103619114,,[S2600WF] Modify Legacy Boot Order "EFI Shell" item via ITK do not take effect, shell always in the Bottom.
HSD-ES: 1504591223,,Iflash32 utility can't get ITK modified custom BIOS revision string correctly. 
HSD-ES: 2006663518,,S2600ST QAT SKU PCH PCIE Uplink margin failed on Silver Build 3(PCH=QN1L B2)
HSD-ES: 1504595731,,RSD [S2600WF]: Provide SMBIOS table type 192 for RSD 2.2 Spec.
HSD-ES: 2103617706,,[Retimer]The system HDD5~7 carrier LED no display on first power on.
HSD-ES: 1504581583,,Rp RAS code sync  CL528211  5386077: Mirrorfailover should happen when mirrorfailover=1 and (mccmdvld=1 or errortype[4]=1)
HSD-ES: 2103619464,,[S2600WF] Add one Switch/Retimer card, RAID controller still shows in EFI shell via PCI command after disable VMD
HSD-ES: 1504591221,,RSD SMBIOS table was overwritten by OOB RSD SMBIOS table 
HSD-ES: 1504593557,,RSD: [S2600BP]Current link speed always is 0x40 in RSD SMBIOS type 190.
HSD-ES: 1504591388,,CCB#1896: Provide SMBIOS table type 199 for RSD 2.2 Spec.

================================================================================
                          R00.01.0009
================================================================================
Rename BIOS ID from X0084 to R0009.
HSD-ES: 2103619332, , [S2600WF] NIC configuration page not show OCP controller and MAC info or show wrong when install Cascade DA2 on S2600WFT SKU or Cascade DA4 on S2600WFQ SKU.
HSD-ES: 2103619390, , [S2600BP] Set "NIC1 Port1/2" to Disabled cannot be saved under legacy mode with S2600BP NIC X550.
HSD-ES: 1504599235, , [PC Stitching] Sync Microcode 0x30 for Xeon Scalable Family H0 from RP.
HSD-ES: 2103619297, , [S2600BP] ME status shows "Not ready" and ME revision shows "Unknown" after SPS FW downgrade from 04.00.04.285 to 04.00.03.235.
HSD-ES: 1504615636, , [PC Stitching] Sync Microcode 0x32 for Xeon Scalable Family H0 from RP.
Update BIOS security version to 0004.
HSD-ES: 2103619238, , [S2600WF] PXE function still work whether press F12 or selected from boot manager when disable NIC control.
Check in SPS FW 04.00.04.288 on critical security issue 

================================================================================           
                          R00.01.0007
===============================================================================
HSD-ES: 220788736, ,S2600WF system goes into continuous restart loop after SUP update process on H48104-701 board with SUP x0060 installed and two embedded NIC ports disabled
HSD-ES: 1504597970, ,Fix issue- Array OCPDID Index Out of Bounds.

================================================================================
                         R00.01.0006
================================================================================
HSD-ES: 1504579741, , CCB 2030:  Enable/disable individual embedded only NIC ports
HSD-ES: 1504582533/1504582491,  CCB 2022: Support storage and networking SMBIOS extensions for RSD2.2 on S2600WF
HSD-ES: 1504589353, , [PC Stitching] Sync Microcode 0x2e for Xeon Scalable Family H0 from RP 
HSD-ES: 1504581907/1504580980/1504573931/1504563070, , CCB 1896: Provide SMBIOS table type 197 for RSD 2.2 Spec.
HSD-ES: 2103618468, , [S2600BP] Current Active Processor Cores do not show the corresponding number when Active Processor Cores changed with Quad core QMRN CPU
HSD-ES: 2103618733, , [S2600WF] SMBIOS Type 16 of maximum capacity value of 0x90000000, is not represented in the Extended Maximum Capacity field.
HSD-ES: 1504580965, , RsaReadyToBoot should run before AssertPostGpio in ReadToBootEvent
HSD-ES: 220680356, , X722 NVM v3.49 BIOS integration
HSD-ES: 2103618637, , [S2600BP] SKU SFP+/1G: UUT show "Nmi activated - system halted" during POST when PCIE riser 2 x8 slot 2 installed a NIC/RAID card
HSD-ES: 1504580069, , [PC Stitching] Sync Xeon Scalable Family B1 Production Patch 0x13b from RP 
HSD-ES: 1504580058, , [PC Stitching] Sync Microcode 0x2c for Xeon Scalable Family H0 from RP
HSD-ES: 1504580414, , XPT Prefetch BIOS knob remove from PCSD BIOS. (XPT on Xeon Scalable Family Server is no longer POR)
HSD-ES: 1504579991, , S2600WF IFT config dat support class 3
HSD-ES: 2006669546, , RAID module RMS3HC080 and Software RAID RSTe can't work together on a S2600WF system
HSD-ES: 2103618307, , System Boot Timeout function not working if enable Power On Password
HSD-ES: 2103614644, , [S2600WF] "HDD Rebuild in progress" events were occurred during DC cycling
HSD-ES: 1504559251, , [PC-Stitching]Update ME SPS version to MR 235
HSD-ES: 2103618046, , After injecting MBIST error at rank sparing mode, memory size shows wrong.
HSD-ES: 1504567201, , RP production code sync up
HSD-ES: 2103618268, , [S2600WF] When Add-in M6000 in riser 1 slot1, SUT cannot boot normally on S2600WFQ
HSD-ES: 1504567160, , [S2600WF]Hard code the variable value of  Processor MSR Lock Control
HSD-ES: 2103617172, , [S2600BP]UEFI Mode,Boot order value doesn't follow ITKs' with FDD device.
HSD-ES: 2103618243, , [S2600ST] An new item "Diagnostic Messages" which should be invisible in BIOS setup.
HSD-ES: 2103618185, , [S2600WF] The memory info will show 'Empty/NO DIMM' in SMBIOS Type 17 if populate 1R DIMM on CPU1 Channel A and B and build Rank Sparing mode.
HSD-ES: 1504551789, , [PC Stitching] Sync Xeon Scalable Family B1 Production Patch 0x13a from RP 
HSD-ES: 1504551442, , [PC Stitching] Sync Microcode 0x29 for Xeon Scalable Family H0 from RP
HSD-ES: 1504549582, , Integration BIOS ACM to 1.3.3
HSD-ES: 1504543699, , [PC Stitching] Sync Xeon Scalable Family B1 Production Patch 0x139 from RP

================================================================================
                           R00.01.0005
================================================================================
HSD-ES: 2103617864, ,[S2600WF] BIOS will not keep boot order after remove boot device.
HSD-ES: 220203024, , [S2600WF Retimer] VMD menus do not match system state  (for example 3 slot riser + 4P/8P switch + VROC key + VMD enabled does not enable VROC OpROM in some cases)
HSD-ES: 1504525281, , The uncore frequency cannot fix at the max frequency when UFS is disabled on S2600WF
HSD-ES: 1504539977, , #CCB 1974:  Remove BIOS WA which requested in SW CCB1958# and move to HW solution for S2600BP Full QAT
                      Enable all QAT EP in BIOS,  Enable PCIE x4 link from CPU to PCH.
HSD-ES: 1504536397, , Syscfg_V14.1.16: The boot order is different between press F9 and key command “syscfg /bldfs “ ” " to load default on Legacy mode.
HSD-ES: 1504396363, , BIOS should include production key when secure boot enabled.
HSD-ES: 1504411203, , CCB#1751[Xeon Scalable Family BIOS]Need to port Customer work from S2600V3/V4 BIOS to Xeon Scalable Family BIOS for Customer on S2600ST

================================================================================

================================================================================           
                            R00.01.0004
================================================================================
Rename BIOS ID from X0029 to R0004.
HSD-ES: 2006649895, , FRB2 Asserted during system boot when 7 QLogic PCI cards are inserted on the system.
HSD-ES: 1504396363, , BIOS should include production key when secure boot enabled.
HSD-ES: 2006650537, , [S2600BP]DMI Information for the network device is not correct. "enp" as oppose to "eno".
HSD-ES: 1504403422, , Update ME FW to the new version.
HSD-ES: 1504531663, , [PC Stitching] Sync Microcode 0x26 for Xeon Scalable Family H0 from RP.
HSD-ES: 1504521876, , [S2600BP]NVMe U.2 SSD can't be detected or link speed/width downgrade during reboot cycling.
HSD-ES: 2103617966, , [S2600WF] The warning message is incorrect when set Admin/User PWD the same.
HSD-ES: 1504521041, , [S2600BP]Syscfg_V14_1:Command:syscfg /bldfs  "" and F9 load different Bios default Boot Order.

================================================================================
                            R00.01.0003
================================================================================
Rename BIOS ID from X0021 to R0003.
HSD-ES: 1504527306, , Integration BIOS ACM & SINIT to 1.3.2.
HSD-ES: 1604381641, , [AEP S2600WF] Can't update ME version with Debug BIOS.
HSD-ES: 1504527236, , CCB 1958: S2600BP RJ45-L SKU need disable Uplinkx4 and QAT2 for PCH power consumption reduction.
HSD-ES: 2006650537, , [S2600BP]DMI Information for the network device is not correct. "enp" as oppose to "eno".
HSD-ES: 2103617705, , The system SATA HDDs will Warning on BMC web.
HSD-ES: 1504526567, , [PC-Stitching] Sync Xeon Scalable Family B1 Production Patch 0x138 from RP.

================================================================================
                            R00.01.0002
================================================================================
Rename BIOS ID from X0014 to R0002.
HSD-ES: 2006650537, [S2600BP]DMI Information for the network device is not correct. "enp" as oppose to "eno"
HSD-ES: 220203024,  3 slot riser + 4P/8P switch + VROC key + VMD enabled does not enable VROC OpROM in some cases
HSD-ES: 2103616560, VMware 6.5 Passthrough of RMSP3AD160F doesn't work with S2600WF 2U BIOS SE5C620.86B.01.00.0448
HSD-ES: 2103617774, [S2600BP] Package C1 always >90% whatever Package C-state with BIOS X0008
HSD-ES: 1504403422, Update ME FW to the new version
HSD-ES: 2103617693, [S2600BP]UUT cannot boot to EFI Shell automatically in recovery mode.
HSD-ES: 2103617718, [S2600BP] Windows OS eventview not report whea eventID 23 after SBE is sucessfully injected with BIOS X0008.
HSD-ES: 2103616570, [S2600WF]SUT can not boot to Win2016 with FAB2 Switch card.
HSD-ES: 2103617732, [S2600BP] SFP+ SKU socket0 1a,1c always show x8 whatever CPU1 IOU1 setting.
HSD-ES: 2103617198, [S2600BP]Can not build raid if pcie ssd connect VMD Port CPU1 1C/1D & VMD Port CPU2 3A/3B.
HSD-ES: 2103617682, [S2600BP]Riser_Slot_X Bifurcation's help text is incorrect in BIOS X0007 and BIOS Setup Degin v1.04
HSD-ES: 1504521158, Optimize slot3 VMD option display.
HSD-ES: 1504452197, #CCB 1900 [S2600WF BIOS] Enable Symmetric QAT Support in BIOS for hardware CCB 1893
HSD-ES: 1504521139, [S2600WF] and [S2600BP] short team solution for 10Gbe MAC address need BIOS sent it to BMC FW
HSD-ES: 1504437936, [SDLS4]REACT-2017-1-OpenSSL upgrade for security vulnerability
HSD-ES: 1504520668, GPIO need to be locked on all of platform
HSD-ES: 1504403422, Update ME FW to the new version
HSD-ES: 2103617416, [S2600WF] Pause key will not suspend the FRB2 timer during post process, thus system will reboot after 6 min.
HSD-ES: 1504515553, Integration BIOS ACM to 1.3.1
HSD-ES: 2103617458, [S2600BP] Amber LED have keep blinking  once boot into OS.(when disabled VMD)
HSD-ES: 1504452197, #CCB 1900 [S2600WF BIOS] Enable Symmetric QAT Support in BIOS for hardware CCB 1893
HSD-ES: 2103616570, [S2600WF]SUT can not boot to Win2016 with FAB2 Switch card.
HSD-ES: 2103617398, [S2600ST] SMBIOS type 20 "Memory Device Handle" and "Memory Array Mapped Address Handle" not align with type17 and type 19.
HSD-ES: 1504513467, [PC Stitching] Sync Microcode 0x22 for Xeon Scalable Family H0 from RP
HSD-ES: 2103615650, [Cert] HLK USB 3.0 Exposed Port System Test will be fail

================================================================================
                            R00.01.0001
================================================================================
Rename BIOS ID from X0005 to R0001.
HSD-ES: 1405802398, SDP: UEFI PXE is failing with message "PXE-E16: No Offer received." on S2600WF.
HSD-ES: 1504506169, Open all setup options, except [CPU Power and Performance Policy] under Power and Performance page to Syscfg.
HSD-ES: 2103617250, PCIe SSD cann't be detected by Redhat 7.3  on 6Port 3408 or 6Port 3008 after plug out/in.
HSD-ES: 2103617276, [S2600ST] The first digit of BMC build number in "BIOS post information" isn't printed if it's 0.
HSD-ES: 1504483939, Error: 'ascii' codec can't encode character in this title!
HSD-ES: 1504396268, Unsigned capsule should be copied to root folder.
HSD-ES: 1504502129, Integration BIOS ACM to 1.3.0
HSD-ES: 1504502257, Error: 'ascii' codec can't encode character in this title!
HSD-ES: 1504501726, Disable Sddc Plus one
HSD-ES: 1504502155, [PC-Stitching] Support BIOS ID in the  IFWIingredientTable.htm
HSD-ES: 220194030,  [S2600BP] With BIOS D503 tftp during WDS UEFI PXEBOOT fails, Legacy still works
HSD-ES: 2103617198, [S2600BP] Can not build raid if pcie ssd connect VMD Port CPU1 1C/1D & VMD Port CPU2 3A/3B.
HSD-ES: 1209680381, [S2600BP] CPU slow down when power dropped from 1 PSU
HSD-ES: 2006635112, Function keys F6, F9, F10 and F12 not working when using serial connection
HSD-ES: 220187579,  S2600WFQ NVM v3.38 BIOS integration.
HSD-ES: 1504480516, #CCB 1925 [ BIOS] Change boot order so UEFI is same as legacy
HSD-ES: 2103615650, [Cert] HLK USB 3.0 Exposed Port System Test will be fail
HSD-ES: 1504396363, BIOS should include production key when secure boot enabled.
HSD-ES: 220187598,  S2600ST NVM v3.38 BIOS integration.
HSD-ES: 220187591,  S2600BP NVM v3.38 BIOS integration
HSD-ES: 1504403422, Update ME FW to the new version
HSD-ES: 1504495288, [PC Stitching] Integrate the Microcode 0x1e for Xeon Scalable Family H0 from RP
HSD-ES: 2006616153, BIOS update to include the  Storm Lake Gen1 Fabric AOC Platform Config Files
HSD-ES: 1504489067, SINIT ACM 1.2.1 update.
HSD-ES: 1504495428, Microcode version is not correct in BIOS capsule file
HSD-ES: 1504495368, [PC Stitching] Integrate the OPA UEFI driver v1.4.0.0.0 from RP
HSD-ES: 2103614736, [S2600BP NVDIMM] NVDIMM marked as "?" in windows 2016 Device Manager.
HSD-ES: 1504396262, Remove 'UpdateNvram' support for iflash32 tool for security reason of SRA bios
HSD-ES: 1504396357, Public key should be included in BootBlock of BIOS
HSD-ES: 2103616884, [S2600WF] The root port description is incorrect in VMD page when 3 slot riser installed.
HSD-ES: 2103616467, [MIC-S2600WF] WHLK USB Exposed System Test Fail.
HSD-ES: 2103616983, [S2600BP] Load file URI address string is not fully on boot option description when boot into HTTPv6 server.
HSD-ES: 1504492558, [S2600BP]Disabled boot type still show in boot manager menu(F6), not match with display devices in Boot order or Boot Manager .
HSD-ES: 2103616521, [S2600BP] SUT cannot boot normally after do recovery boot once with primary BIOS D0485 and backup BIOS D0478
HSD-ES: 220131068,  Serial Over Lan funtion not working correctly - (1) When SOl is enabled - Splash screen stays enabled which masks the console data.
HSD-ES: 1504493464, [PC-Stitching] Removing Xeon Scalable Family A1/B0 Microcode support from trunk
HSD-ES: 1504429786, #CCB 1863 [ Common]BIOS should support the Demoted Warm Reset (DWR) flow and setting of the 'Debug Enable' MSR bit
HSD-ES: 2103616882, Error: 'ascii' codec can't encode character in this title!
HSD-ES: 1504429786, #CCB 1863 [ Common]BIOS should support the Demoted Warm Reset (DWR) flow and setting of the 'Debug Enable' MSR bit
HSD-ES: 1504480516, #CCB 1925 [ BIOS] Change boot order so UEFI is same as legacy
HSD-ES: 1504483939, Error: 'ascii' codec can't encode character in this title!
HSD-ES: 1504492558, [S2600BP]Disabled boot type still show in boot manager menu(F6), not match with display devices in Boot order or Boot Manager .
HSD-ES: 1504493464, [PC-Stitching] Removing Xeon Scalable Family A1/B0 Microcode support from trunk
HSD-ES: 1504495288, [PC Stitching] Integrate the Microcode 0x1e for Xeon Scalable Family H0 from RP
HSD-ES: 1504495368, [PC Stitching] Integrate the OPA UEFI driver v1.4.0.0.0 from RP
HSD-ES: 2006616153, BIOS update to include the  Storm Lake Gen1 Fabric AOC Platform Config Files
HSD-ES: 2103614736, [S2600BP NVDIMM] NVDIMM marked as "?" in windows 2016 Device Manager.
HSD-ES: 2103616467, [MIC-S2600WF] WHLK USB Exposed System Test Fail.
HSD-ES: 2103616521, [S2600BP] SUT cannot boot normally after do recovery boot once with primary BIOS D0485 and backup BIOS D0478
HSD-ES: 2103616882, Error: 'ascii' codec can't encode character in this title!
HSD-ES: 2103616884, [S2600WF] The root port description is incorrect in VMD page when 3 slot riser installed.
HSD-ES: 2103616983, [S2600BP] Load file URI address string is not fully on boot option description when boot into HTTPv6 server.
HSD-ES: 1504489067, SINIT ACM 1.2.1 update.
HSD-ES: 1504495428, Microcode version is not correct in BIOS capsule file.
HSD-ES: 1504396262, Remove 'UpdateNvram' support for iflash32 tool for security reason of SRA bios.
HSD-ES: 1504396357, Public key should be included in BootBlock of BIOS.
HSD-ES: 1504396268, Unsigned capsule should be copied to root folder.
HSD-ES: 1504403422, Update ME FW to the new version.
HSD-ES: 220131068,  Serial Over Lan funtion not working correctly - (1) When SOl is enabled - Splash screen stays enabled which masks the console data.
HSD-ES: 1504399927, The PCIe port name in PCIe port Oprom control is not same to circuit diagram.
HSD-ES: 2103616317, SMBIOS Type 8 and Type 41 are incorrect.
